## breeze 5.15.5.1+rb2

=== debian/changelog ===
breeze (4:5.15.5.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 01 Feb 2021 15:01:58 +0800
