## breeze 5.16.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze)
-set(PROJECT_VERSION "5.14.5")
+set(PROJECT_VERSION "5.16.5")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -9,8 +9,6 @@
 include(GenerateExportHeader)
 include(WriteBasicConfigVersionFile)
 include(FeatureSummary)
-
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules")
 
 if(USE_KDE4)
   find_package(KDE4 REQUIRED)
@@ -67,6 +65,7 @@
 
   ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/BreezeConfig.cmake.in"
                                     "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
+                                    PATH_VARS KDE_INSTALL_FULL_DATADIR
                                     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                     )
