=== debian/changelog ===
breeze (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:02 +0100

breeze (4:5.16.4-0ubuntu2) eoan; urgency=medium

  * Sync Debian changes:
    - Drop QT4/KDE4 support.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 26 Aug 2019 13:34:45 +0100

breeze (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:43:50 +0100

breeze (4:5.16.3-0ubuntu2) eoan; urgency=medium

  * Remove kde-style-qtcurve from recommends, and kde-style-breeze-qt4
    from suggests.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 18 Jul 2019 19:37:48 +0100

breeze (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:11 +0100

breeze (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:03 +0100

breeze (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:22:14 +0100

breeze (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:34:51 +0100

breeze (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:47:56 +0100

breeze (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:46:53 +0100
