## breeze 5.18.3

=== debian/changelog ===
breeze (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:06:36 +0000

breeze (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:28:51 +0000

breeze (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:35:40 +0000

breeze (4:5.18.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)
  * Bump orig tar version due to upstream respin.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:02 +0000

breeze (4:5.17.90-0ubuntu2) focal; urgency=medium

  * Remove unused libfftw3-dev, libkf5iconthemes-dev, libkf5plasma-dev, and
      libkf5service-dev build depends.
  * Drop obsolete breaks/replaces.
  * Drop obsolete transitional packages.

 -- Rik Mills <rikmills@kde.org>  Sat, 18 Jan 2020 08:28:19 +0000

breeze (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:06:52 +0000

breeze (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:29 +0000

breeze (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:22:46 +0000

breeze (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:03:38 +0000

breeze (4:5.17.2-0ubuntu1) focal; urgency=medium

  * Make qml-module-qtquick-controls-styles-breeze a transitional dummy
    package, as the now unused qtquickcontrols theme has been removed.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:48:51 +0000
