## breeze 5.18.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(breeze)
-set(PROJECT_VERSION "5.16.5")
+set(PROJECT_VERSION "5.18.4")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
@@ -28,6 +28,8 @@
   include(KDEInstallDirs)
   include(KDECMakeSettings)
   include(KDECompilerSettings NO_POLICY_SCOPE)
+  include(KDEClangFormat)
+
   include(GtkUpdateIconCache)
 
   option(WITH_DECORATIONS "Build Breeze window decorations for KWin" ON)
@@ -41,7 +43,6 @@
   add_subdirectory(libbreezecommon)
   add_subdirectory(kstyle)
   add_subdirectory(misc)
-  add_subdirectory(qtquickcontrols)
 
   option(WITH_WALLPAPERS "Install Breeze default wallpapers" ON)
   if (WITH_WALLPAPERS)
@@ -69,6 +70,10 @@
                                     INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                     )
 
+  # add clang-format target for all our real source files
+  file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
+  kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+
   install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfig.cmake"
                  "${CMAKE_CURRENT_BINARY_DIR}/BreezeConfigVersion.cmake"
           DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
