=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 11~),
                extra-cmake-modules (>= 5.66.0~),
-               libkdecorations2-dev (>= 4:5.18.3~),
+               libkdecorations2-dev (>= 4:5.18.4.1~),
                libkf5config-dev (>= 5.66.0~),
                libkf5configwidgets-dev (>= 5.66.0~),
                libkf5coreaddons-dev (>= 5.66.0~),
