=== misc/qtcurvepreset/CMakeLists.txt ===

INSTALL(FILES Breeze.qtcurve DESTINATION ${DATA_INSTALL_DIR}/QtCurve/)
